# Khasra Land Encroachment Analysis Configuration

# Sensitive/protected land categories (construction not permitted or highly sensitive).
# Used to flag and highlight encroachment on these types. Extension list: Rasta, Nadi,
# Nallah, Nali, Talai, Sadak, Pal, Charagah, Mandir mafi, Pahad, Bandh, Talab,
# Shamshan, Kabristan, Bavdi, Jhera — and their GAIR MUMKIN variants in data.
sensitive_land_categories:
  - GAIR MUMKIN RAASTA
  - RASTA
  - GAIR MUMKIN NADI
  - NADI
  - GAIR MUMKIN NAALAH
  - NAALAH
  - GAIR MUMKIN NAALI
  - NAALI
  - GAIR MUMKIN TALAAI
  - TALAAI
  - GAIR MUMKIN SADAK
  - SADAK
  - PAL
  - CHARAGAAH
  - GAIR MUMKIN CHARAI
  - GAIR MUMKIN CAHRAGAAH
  - GAIR MUMKIN MANDIR
  - MANDIR MAFI
  - GAIR MUMKIN PAHAD
  - PAHAD
  - GAIR MUMKIN BAANDH
  - BANDH
  - GAIR MUMKIN TALAAB
  - TALAB
  - GAIR MUMKIN SAMSHAAN
  - SHAMSHAN
  - GAIR MUMKIN KABRISTHAAN
  - GAIR MUMKIN MASHAAN
  - KABRISTAN
  - GAIR MUMKIN BAVDI
  - BAVDI
  - GAIR MUMKIN JHERA
  - JHERA

analysis:
  default_buffer_radius_m: 50
  max_batch_size: 500
  ee_request_batch: 50
  cloud_threshold_pct: 20
  preview_scale_m: 30
  export_scale_m: 10

thresholds:
  ndbi_buildup: 0.1
  ndvi_vegetation: 0.2
  mndwi_water: 0.0

severity:
  critical_sqm: 500
  high_sqm: 200
  medium_sqm: 50
  low_sqm: 10

buffer_by_width:
  narrow:   { max_width: 18,  buffer_m: 50  }
  medium:   { max_width: 30,  buffer_m: 75  }
  wide:     { max_width: 60,  buffer_m: 100 }
  arterial: { max_width: 999, buffer_m: 150 }

cache:
  ttl_seconds: 3600
  max_cached_results: 1000

export:
  max_pdf_size_mb: 50
  max_kml_records: 2000
